function folders = project_paths()
% Definition of the folders that will be added to the MATLAB path when this
% Project is opened, and removed from the path when it is closed. Edit the
% definition of folders below to add your own paths to the current project.
%
% Folders is a cell-array of paths relative to the project root. For
% example, 
% 
%       folders = { ...
%           'data', ...
%           'models', ...
%           'src', ...
%           fullfile('components','core'), ...
%           'utilities' ...
%           };
%
% Using the MATLAB command fullfile when constructing folder hierarchies
% will make your project compatible with use on multiple operating systems
% (for example, both Windows and Linux).

% Date   : Jan 17, 2013
% Copyright 2013 The MathWorks, Inc.    

folders = { ...
    'models', ...
    'data', ...
    'utilities', ...
    };
